### Class

# WebKit2WebExtension DOMNodeIterator

#### Description

    class WebKit2WebExtension.DOMNodeIterator : WebKit2WebExtension.DOMObject
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- WebKitDOMObject
- GObject

#### Instance methods

###### webkit_dom_node_iterator_detach

No description available.

deprecated: 2.22

###### webkit_dom_node_iterator_get_expand_entity_references

This function has been removed from the DOM spec and it just returns `FALSE`.

deprecated: 2.12

###### webkit_dom_node_iterator_get_filter

No description available.

deprecated: 2.22

###### webkit_dom_node_iterator_get_pointer_before_reference_node

No description available.

deprecated: 2.22

###### webkit_dom_node_iterator_get_reference_node

No description available.

deprecated: 2.22

###### webkit_dom_node_iterator_get_root

No description available.

deprecated: 2.22

###### webkit_dom_node_iterator_get_what_to_show

No description available.

deprecated: 2.22

###### webkit_dom_node_iterator_next_node

No description available.

deprecated: 2.22

###### webkit_dom_node_iterator_previous_node

No description available.

deprecated: 2.22

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit2WebExtension.DOMNodeIterator:filter

No description available.

###### WebKit2WebExtension.DOMNodeIterator:pointer-before-reference-node

No description available.

###### WebKit2WebExtension.DOMNodeIterator:reference-node

No description available.

###### WebKit2WebExtension.DOMNodeIterator:root

No description available.

###### WebKit2WebExtension.DOMNodeIterator:what-to-show

No description available.

##### Properties inherited from WebKitDOMObject (1)

###### WebKit2WebExtension.DOMObject:core-object

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2WebExtensionDOMNodeIteratorClass {
      WebKitDOMObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: WebKitDOMObjectClass`

  No description available.